<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@mipmap/bg_new_main">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:gravity="center_horizontal">
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/top_logo" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_marginTop="86dp"
            android:paddingHorizontal="46dp"
            android:layout_marginHorizontal="16dp"
            android:background="@drawable/white_bg">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="登录"
                android:layout_gravity="center_horizontal"
                android:textColor="#ffe6212a"
                android:textSize="24sp"
                android:layout_marginTop="40dp"/>

            <TextView
                style="@style/wrap_style"
                android:layout_gravity="left"
                android:layout_marginTop="26dp"
                android:text="账号"
                android:textColor="@color/grey_66"
                android:textSize="18sp" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="32dp"
                android:layout_marginTop="10dp"
                android:paddingHorizontal="20dp"
                android:background="@drawable/shape_f4f4f4_4dp">
                <EditText
                    android:id="@+id/account_edt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:textColor="@color/black_33"
                    android:textSize="18sp"
                    android:inputType="text"
                    android:layout_centerVertical="true"
                    android:lines="1"/>
            </RelativeLayout>

            <TextView
                style="@style/wrap_style"
                android:layout_gravity="left"
                android:layout_marginTop="18dp"
                android:text="密码"
                android:textColor="@color/grey_66"
                android:textSize="18sp" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="32dp"
                android:layout_marginTop="10dp"
                android:paddingHorizontal="20dp"
                android:background="@drawable/shape_f4f4f4_4dp">
                <EditText
                    android:id="@+id/password_edt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:layout_centerVertical="true"
                    android:textColor="@color/black_33"
                    android:textSize="18sp"
                    android:inputType="text"
                    android:lines="1"/>
            </RelativeLayout>

            <TextView
                style="@style/wrap_style"
                android:layout_gravity="left"
                android:layout_marginTop="18dp"
                android:text="工厂"
                android:textColor="@color/grey_66"
                android:textSize="18sp" />

            <RelativeLayout
                android:id="@+id/select_factory"
                android:layout_width="match_parent"
                android:layout_height="32dp"
                android:layout_marginTop="10dp"
                android:paddingHorizontal="20dp"
                android:background="@drawable/shape_f4f4f4_4dp">
                <TextView
                    android:id="@+id/factory"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:textColor="@color/grey_66"
                    android:textSize="18sp"
                    android:text="请选择"
                    android:visibility="gone"
                    android:layout_centerVertical="true"
                    android:lines="1"/>

                <Spinner
                    android:id="@+id/select"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true" />
            </RelativeLayout>

            <Button
                android:id="@+id/login_btn"
                android:layout_width="match_parent"
                android:layout_height="54dp"
                android:layout_marginTop="58dp"
                android:background="@drawable/shape_e6212a_4dp"
                android:gravity="center"
                android:text="登录"
                android:layout_marginBottom="20dp"
                android:textColor="@color/white"
                android:textSize="18sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="36dp">
                <View
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"/>
                <EditText
                    android:id="@+id/device_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="deviceCode"
                    android:gravity="right"
                    android:background="@null"/>
            </LinearLayout>

        </LinearLayout>
    </LinearLayout>

</androidx.core.widget.NestedScrollView>